<?xml version="1.0" encoding="utf-8"?>

<creole>
    <containers>
        <container name="web">
            <package>eole-bareoswebui-pkg</package>
            <service method="apache" servicelist="bareoswebui">bareos-webui</service>
            <file filelist="bareoswebui" name="/etc/bareos-webui/directors.ini" source="bareoswebui-directors.ini"/>
        </container>
    </containers>
    <variables>
        <family name='applications web'>
            <variable name='activer_bareoswebui' type='oui/non' description="Activer Bareos WebUI (gestion de la sauvegarde)">
                <value>non</value>
            </variable>
        </family>
        <family name='bareos webui' icon='archive'>
            <variable name='bareoswebui_user' type='unix_user' description="Utilisateur autorisé à se connecter à l'interface web de gestion de la sauvegarde" mandatory="True" multi='True'/>
            <variable name='bareoswebui_password' type='password' description="Mot de passe de l'utilisateur autorisé à se connecter à l'interface web de gestion de la sauvegarde" mandatory="True"/>
        </family>
    </variables>
    <constraints>
        <group master='bareoswebui_user'>
            <slave>bareoswebui_password</slave>
        </group>
        <condition name='disabled_if_in' source='activer_bareoswebui'>
            <param>non</param>
            <target type='family'>bareos webui</target>
            <target type='filelist'>bareoswebui</target>
            <target type='servicelist'>bareoswebui</target>
        </condition>
        <condition name='disabled_if_not_in' source='activer_bareos_dir'>
            <param>oui</param>
            <target>activer_bareoswebui</target>
        </condition>
        <condition name='disabled_if_not_in' source='activer_mysql'>
            <param>oui</param>
            <target>activer_bareoswebui</target>
        </condition>
    </constraints>
    <help>
        <family name='bareos webui'>Paramétrage de l'application web Bareos WebUI</family>
        <variable name='activer_bareoswebui'>Bareos WebUI est une application web permettant de surveiller et gérer les sauvegardes Bareos</variable>
    </help>
</creole>
<!-- vim: ts=4 sw=4 expandtab
-->
